Package com.arms.api.util.dynamicscheduler.service

## Class SchedulerServiceImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.util.dynamicscheduler.service.SchedulerServiceImpl

- All Implemented Interfaces:
    `SchedulerService`, `TreeService`

      @Service("\uc2a4\ucf00\uc974\ub7ec")
      public class SchedulerServiceImpl
      extends TreeServiceImpl
      implements SchedulerService

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Chat` | `chat` |
    `protected org.modelmapper.ModelMapper` | `modelMapper` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchedulerServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `cacheStatusMappingData()` |
    `void` | `discoverByDateRange​(SchedulerType schedulerEnum, java.lang.String startDate, java.lang.String endDate)` |
    `void` | `discoverByFullDateRange​(SchedulerType schedulerEnum)` |
    `void` | `discoverByPreviousDay​(SchedulerType schedulerEnum)` |
    `void` | `retryFailedReqStatusCreationToElasticsearch​(SchedulerType schedulerEnum)` |
    `void` | `updateReqStatusFromElasticsearch​(SchedulerType schedulerEnum)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Field Detail

    - #### chat

          protected final Chat chat

    - #### modelMapper

          protected final org.modelmapper.ModelMapper modelMapper

  - ### Constructor Detail

    - #### SchedulerServiceImpl

          public SchedulerServiceImpl()

  - ### Method Detail

    - #### discoverByFullDateRange

          @Async
          public void discoverByFullDateRange​(SchedulerType schedulerEnum)
                                       throws java.lang.Exception

      Specified by:
        `discoverByFullDateRange` in interface `SchedulerService`
      Throws:
        `java.lang.Exception`

    - #### discoverByPreviousDay

          @Async
          public void discoverByPreviousDay​(SchedulerType schedulerEnum)
                                     throws java.lang.Exception

      Specified by:
        `discoverByPreviousDay` in interface `SchedulerService`
      Throws:
        `java.lang.Exception`

    - #### discoverByDateRange

          @Async
          public void discoverByDateRange​(SchedulerType schedulerEnum,
                                          java.lang.String startDate,
                                          java.lang.String endDate)
                                   throws java.lang.Exception

      Specified by:
        `discoverByDateRange` in interface `SchedulerService`
      Throws:
        `java.lang.Exception`

    - #### updateReqStatusFromElasticsearch

          @Async
          public void updateReqStatusFromElasticsearch​(SchedulerType schedulerEnum)
                                                throws java.lang.Exception

      Specified by:
        `updateReqStatusFromElasticsearch` in interface `SchedulerService`
      Throws:
        `java.lang.Exception`

    - #### retryFailedReqStatusCreationToElasticsearch

          @Async
          public void retryFailedReqStatusCreationToElasticsearch​(SchedulerType schedulerEnum)
                                                           throws java.lang.Exception

      Specified by:
        `retryFailedReqStatusCreationToElasticsearch` in interface `SchedulerService`
      Throws:
        `java.lang.Exception`

    - #### cacheStatusMappingData

          @Async
          public java.lang.String cacheStatusMappingData()
                                                  throws java.lang.Exception

      Specified by:
        `cacheStatusMappingData` in interface `SchedulerService`
      Throws:
        `java.lang.Exception`